aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/flexdock/ChangeLog12
-rw-r--r--dev-java/flexdock/Manifest7
-rw-r--r--dev-java/flexdock/files/flexdock-0.5.1-build.patch44
-rw-r--r--dev-java/flexdock/files/flexdock-0.5.1-nativelib.patch21
-rw-r--r--dev-java/flexdock/files/flexdock-0.5.1-nodemo.patch12
-rw-r--r--dev-java/flexdock/flexdock-0.5.1-r1.ebuild56
-rw-r--r--dev-java/flexdock/metadata.xml8
7 files changed, 160 insertions, 0 deletions
diff --git a/dev-java/flexdock/ChangeLog b/dev-java/flexdock/ChangeLog
new file mode 100644
index 000000000..bb46bf281
--- /dev/null
+++ b/dev-java/flexdock/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for dev-java/flexdock
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*flexdock-0.5.1-r1 (06 Mar 2010)
+
+ 06 Mar 2010; S├ębastien Fabbro <bicatali@gentoo.org>
+ +flexdock-0.5.1-r1.ebuild, +files/flexdock-0.5.1-build.patch,
+ +files/flexdock-0.5.1-nativelib.patch, +files/flexdock-0.5.1-nodemo.patch,
+ +metadata.xml:
+ Initial import. Ebuild submitted by Guillaume Horel, bug #266249
+
diff --git a/dev-java/flexdock/Manifest b/dev-java/flexdock/Manifest
new file mode 100644
index 000000000..a39ab83fc
--- /dev/null
+++ b/dev-java/flexdock/Manifest
@@ -0,0 +1,7 @@
+AUX flexdock-0.5.1-build.patch 1673 RMD160 b3846b0040c6fabe5f4460ec2ad809f2ca31edf1 SHA1 0737a4ccd4f28f279f5f9e76ab200913755b7036 SHA256 e7bd55e6d13d623e5323663ba87295ac579b3b2aa44cab7f9fc06069551c571f
+AUX flexdock-0.5.1-nativelib.patch 1308 RMD160 5a4a7e2f31bce07961a30e2c26227f5e7a7cb24c SHA1 198b09064e25503c31eb0337c196307c177bb3d1 SHA256 dd14d993fc726e354549ab548faf45777abe13336fb7fca7e6f99d13abf85287
+AUX flexdock-0.5.1-nodemo.patch 589 RMD160 2d13b7a0d9aa3baac3e125497fa033546db04c90 SHA1 a9c7c9155397c41b9549b6c2b4411c2728fb3e64 SHA256 c884c246ca9cf63cb3875c4bba199a07cf6256fd6b315663f19d43639e9560ae
+DIST flexdock-0.5.1-src.zip 6229423 RMD160 a3a68fd68217dd67443e99e82e0e2934291a50e7 SHA1 e5abeedaf3631589cbe3ecc9180cc8493498d664 SHA256 2ffc4b2bf3fd2b070aff3ec46b6a3d3dbbe4f2e666b12ee266cbc162e27f890b
+EBUILD flexdock-0.5.1-r1.ebuild 1541 RMD160 eb877c363f19d894d95d1e2fb14533f2188ef7b7 SHA1 0d410dc99df5929f6b1d7aaf3cf91f2f5cb71846 SHA256 9244c427d16e75d8d4704f06d84b7e4d4e663b80fb05c6f9b49c8f46135adc63
+MISC ChangeLog 433 RMD160 f6b4ae109b66cf207e9f0d827e0a30cf1f1dedd1 SHA1 403a06e20e7d2cd05626e2eaffc0dc76b20f99ca SHA256 f7f8779938a0876ee8251061bdc8f4742cbd3f6e121d2b66390ab95b959488fe
+MISC metadata.xml 274 RMD160 6340ead537d47fa6d92a64afcc0b4453ca3eef4a SHA1 510726418087162c717d06b8a6bff1265427a1d6 SHA256 574ec7bc31befb8ba584bc0474f27fe323e664aa2138a1f4d0707d8b0a4fd96c
diff --git a/dev-java/flexdock/files/flexdock-0.5.1-build.patch b/dev-java/flexdock/files/flexdock-0.5.1-build.patch
new file mode 100644
index 000000000..130df6b8d
--- /dev/null
+++ b/dev-java/flexdock/files/flexdock-0.5.1-build.patch
@@ -0,0 +1,44 @@
+diff -urN flexdock-0.5.1-orig/build.xml flexdock-0.5.1/build.xml
+--- flexdock-0.5.1-orig/build.xml 2010-02-22 21:35:43.000000000 -0500
++++ flexdock-0.5.1/build.xml 2010-02-22 21:39:17.000000000 -0500
+@@ -69,6 +69,7 @@
+
+ <path id="rt.classpath">
+ <pathelement location="${bin.dir}"/>
++ <pathelement location="${lib.dir}/commons-logging.jar"/>
+ </path>
+ <path id="rt.classpath.demo">
+ <pathelement location="${bin.dir.demo}"/>
+@@ -118,7 +119,7 @@
+ <condition property="os.unixWithXlib">
+ <and>
+ <os family="unix"/>
+- <available file="/usr/X11R6/include/X11/Xlib.h"/>
++ <available file="/usr/include/X11/Xlib.h"/>
+ </and>
+ </condition>
+ </target>
+@@ -291,11 +292,12 @@
+
+ <exec executable="gcc" failonerror="true">
+ <arg value="-lX11"/>
+- <arg value="-L/usr/X11R6/lib"/>
+- <arg value="-I/usr/X11R6/include"/>
++ <arg value="-L/usr/lib"/>
++ <arg value="-I/usr/include/X11"/>
+ <arg value="-o"/>
+ <arg value="${so.dir}/libRubberBand${library.key}.so"/>
+ <arg value="-shared"/>
++ <arg value="-fPIC"/>
+ <arg value="${c.dir}/RubberBand.c"/>
+ <arg line='${sdk.include.gcc.args}'/> <!-- potentially multiple include dirs -->
+ </exec>
+@@ -313,7 +315,7 @@
+ <isset property="generic.jar"/>
+ </condition>
+ <property name="jar.suffix" value=""/>
+- <property name="jar.excludes" value=""/>
++ <property name="jar.excludes" value="**/*.so"/>
+
+
+ <!-- after this method is called, other targets can use these props -->
diff --git a/dev-java/flexdock/files/flexdock-0.5.1-nativelib.patch b/dev-java/flexdock/files/flexdock-0.5.1-nativelib.patch
new file mode 100644
index 000000000..ae8df8f23
--- /dev/null
+++ b/dev-java/flexdock/files/flexdock-0.5.1-nativelib.patch
@@ -0,0 +1,21 @@
+diff -urN flexdock-0.5.1-orig/src/java/drag/org/flexdock/docking/drag/outline/xlib/XlibRubberBand.java flexdock-0.5.1/src/java/drag/org/flexdock/docking/drag/outline/xlib/XlibRubberBand.java
+--- flexdock-0.5.1-orig/src/java/drag/org/flexdock/docking/drag/outline/xlib/XlibRubberBand.java 2010-02-22 21:35:42.000000000 -0500
++++ flexdock-0.5.1/src/java/drag/org/flexdock/docking/drag/outline/xlib/XlibRubberBand.java 2010-02-24 23:31:55.000000000 -0500
+@@ -17,7 +17,7 @@
+ *
+ */
+ public class XlibRubberBand extends RubberBand {
+- private static final String NATIVE_RESOURCE_PATH = "org/flexdock/docking/drag/outline/xlib/";
++ private static final String NATIVE_RESOURCE_PATH = "/usr/lib/flexdock/";
+ private static final String NATIVE_RESOURCE = "libRubberBand.so";
+ private static final String NATIVE_RESOURCE_START = "libRubberBand";
+ private static final String NATIVE_RESOURCE_END = ".so";
+@@ -46,7 +46,7 @@
+ String resource = NATIVE_RESOURCE_PATH + NATIVE_RESOURCE_START + key + NATIVE_RESOURCE_END;
+
+ try {
+- ResourceManager.loadLibrary(lib, resource);
++ System.load(resource);
+ // if the library was successfully loaded, then we don't
+ // need to do anything else.
+ return;
diff --git a/dev-java/flexdock/files/flexdock-0.5.1-nodemo.patch b/dev-java/flexdock/files/flexdock-0.5.1-nodemo.patch
new file mode 100644
index 000000000..0324d66bd
--- /dev/null
+++ b/dev-java/flexdock/files/flexdock-0.5.1-nodemo.patch
@@ -0,0 +1,12 @@
+diff -urN flexdock-orig//build.xml flexdock/build.xml
+--- flexdock-orig//build.xml 2010-02-21 23:35:15.000000000 -0500
++++ flexdock/build.xml 2010-02-21 23:35:45.000000000 -0500
+@@ -145,8 +145,6 @@
+ <src path="${java.src.drag}"/>
+ <src path="${java.src.perspective}"/>
+ </javac>
+- <javac classpathref="javac.classpath.demo" srcdir="${java.src.demo}" destdir="${bin.dir.demo}" debug="true" source="1.4"/>
+- <javac classpathref="javac.classpath.test" srcdir="${java.src.test}" destdir="${bin.dir.test}" debug="true" source="1.4"/>
+ </target>
+
+
diff --git a/dev-java/flexdock/flexdock-0.5.1-r1.ebuild b/dev-java/flexdock/flexdock-0.5.1-r1.ebuild
new file mode 100644
index 000000000..0b5711308
--- /dev/null
+++ b/dev-java/flexdock/flexdock-0.5.1-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="A Java docking framework for use in cross-platform Swing applications"
+HOMEPAGE="http://flexdock.dev.java.net/"
+SRC_URI="https://flexdock.dev.java.net/files/documents/2037/52480/${P}-src.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.4"
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip
+ dev-java/skinlf
+ dev-java/commons-logging"
+
+EANT_BUILD_TARGET="build.with.native jar"
+EANT_DOC_TARGET="doc"
+
+java_prepare() {
+ epatch "${FILESDIR}"/${P}-nativelib.patch
+ epatch "${FILESDIR}"/${P}-build.patch
+ epatch "${FILESDIR}"/${P}-nodemo.patch
+
+ #configure java environment
+ cp workingcopy.properties-sample workingcopy.properties
+ sed -i -e 's|sdk.home=C:\\\\jdk1.5.0_03|sdk.home=|' \
+ -e "s|sdk.home=|sdk.home=$(java-config -O)|" workingcopy.properties|| die
+
+ #some cleanups
+ find . -name '*.so' -exec rm -v {} \;|| die
+ find . -name '*.dll' -exec rm -v {} \;|| die
+
+ #remove built-in jars and use the system ones
+ cd "${WORKDIR}/lib" || die
+ rm -rvf *.jar jmf|| die
+ java-pkg_jar-from skinlf
+ java-pkg_jar-from commons-logging commons-logging.jar
+ java-pkg_jar-from jgoodies-looks-2.0 looks.jar
+}
+
+src_install() {
+ java-pkg_newjar "build/${P}.jar" "${PN}.jar"
+ java-pkg_doso build/bin/org/flexdock/docking/drag/outline/xlib/*.so
+ use doc && java-pkg_dojavadoc build/docs/api
+ use source && java-pkg_dosrc src
+}
diff --git a/dev-java/flexdock/metadata.xml b/dev-java/flexdock/metadata.xml
new file mode 100644
index 000000000..9f64c2c4e
--- /dev/null
+++ b/dev-java/flexdock/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ Java docking framework for use in cross-platform Swing applications.
+</longdescription>
+</pkgmetadata>